Référence APIPayouts
Cancel a payout
Cancels a pending payout. Bundled commissions are released back to the `APPROVED` pool and become eligible for a future payout.
Cancels a pending payout. Bundled commissions are released back to the APPROVED pool and become eligible for a future payout.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the merchant dashboard. Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.refcampaign.com/api/v1/payouts/string/cancel" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'Empty
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}